Subject: bug#43735: 28.0.50; M-x eshell: No such directory found via CDPATH environment variable

From: Jean Louis <[email-masked]>
Date: Thu, 1 Oct 2020 22:25:48 +0300

* Lars Ingebrigtsen <[email-masked]> [2020-10-01 22:07]:
> Jean Louis <[email-masked]> writes:
> 
> > Sorry, I had to say: M-x shell
> >
> > That is where it happens.
> >
> > Eshell has other problems, I reported.
> 
> [...]
> 
> > > Following is invoked as emacs -Q:
> > >
> > > M-x eshell
> 
> [...]
> 
> >> I'm unable to reproduce the bug.
> >> 
> >> M-x eshell
> >> 
> >> ~ $ cd tmp
> >> ~/tmp $ cd zim-admin
> >> No such directory found via CDPATH environment variable
> >> ~/tmp $ cd ..
> >> ~ $ 
> 
> You've reported one bug about eshell, and one about shell.  The one I
> responded to was the one about eshell.  (But I see you're saying "shell"
> in the subject.)

Eh, sorry, even me I am confused now, but now I see I did report it
well for M-x eshell, not for M-x shell, but in both bugs,
incidentally, there is same problem, it happens if CDPATH variable is
there.

Let me correct the subject, back to eshell.